From b8f3bec126a455e8130c008ab4e12445b78a8fc5 Mon Sep 17 00:00:00 2001
From: David Malcolm <dmalcolm@redhat.com>
Date: Tue, 4 Aug 2020 14:30:07 -0400
Subject: [PATCH 11/18] FIXME: move new impl into place of old impl

---
 gcc/Makefile.in                            |     2 -
 gcc/analyzer/analyzer-selftests.cc         |     2 -
 gcc/analyzer/analyzer-selftests.h          |     2 -
 gcc/analyzer/checker-path.h                |     2 +-
 gcc/analyzer/constraint-manager.cc         |  2919 ++++-
 gcc/analyzer/constraint-manager.h          |   275 +-
 gcc/analyzer/constraint-manager2.cc        |  2897 -----
 gcc/analyzer/constraint-manager2.h         |   297 -
 gcc/analyzer/engine.cc                     |     1 -
 gcc/analyzer/exploded-graph.h              |     2 +-
 gcc/analyzer/program-state.cc              |     3 -
 gcc/analyzer/region-model.cc               | 10965 +++++++++++++++++-
 gcc/analyzer/region-model.h                |  3190 +++++-
 gcc/analyzer/region-model2-impl-calls.cc   |     2 +-
 gcc/analyzer/region-model2-reachability.cc |     4 +-
 gcc/analyzer/region-model2.cc              | 11064 -------------------
 gcc/analyzer/region-model2.h               |  3146 ------
 gcc/analyzer/sm-file.cc                    |     2 +-
 gcc/analyzer/sm-malloc.cc                  |     2 +-
 gcc/analyzer/store2.cc                     |     3 +-
 20 files changed, 17135 insertions(+), 17645 deletions(-)
 delete mode 100644 gcc/analyzer/constraint-manager2.cc
 delete mode 100644 gcc/analyzer/constraint-manager2.h
 delete mode 100644 gcc/analyzer/region-model2.cc
 delete mode 100644 gcc/analyzer/region-model2.h

diff --git a/gcc/analyzer/analyzer-selftests.cc b/gcc/analyzer/analyzer-selftests.cc
index 908c97b2746..c93f894b788 100644
--- a/gcc/analyzer/analyzer-selftests.cc
+++ b/gcc/analyzer/analyzer-selftests.cc
@@ -53,13 +53,11 @@ run_analyzer_selftests ()
 #if ENABLE_ANALYZER
   analyzer_store2_cc_tests (); // FIXME: keep alphabetized? or by dependency
   analyzer_constraint_manager_cc_tests ();
-  analyzer_constraint_manager2_cc_tests ();
   analyzer_function_set_cc_tests ();
   analyzer_immutable_hash_map_cc_tests ();
   analyzer_program_point_cc_tests ();
   analyzer_program_state_cc_tests ();
   analyzer_region_model_cc_tests ();
-  analyzer_region_model2_cc_tests ();
   analyzer_sm_file_cc_tests ();
   analyzer_sm_signal_cc_tests ();
   //analyzer_store2_cc_tests ();
diff --git a/gcc/analyzer/analyzer-selftests.h b/gcc/analyzer/analyzer-selftests.h
index 4bbb6c12ad9..5a8363ce031 100644
--- a/gcc/analyzer/analyzer-selftests.h
+++ b/gcc/analyzer/analyzer-selftests.h
@@ -35,13 +35,11 @@ extern void run_analyzer_selftests ();
    alphabetical order.  */
 extern void analyzer_checker_script_cc_tests ();
 extern void analyzer_constraint_manager_cc_tests ();
-extern void analyzer_constraint_manager2_cc_tests ();
 extern void analyzer_function_set_cc_tests ();
 extern void analyzer_immutable_hash_map_cc_tests ();
 extern void analyzer_program_point_cc_tests ();
 extern void analyzer_program_state_cc_tests ();
 extern void analyzer_region_model_cc_tests ();
-extern void analyzer_region_model2_cc_tests ();
 extern void analyzer_sm_file_cc_tests ();
 extern void analyzer_sm_signal_cc_tests ();
 extern void analyzer_store2_cc_tests ();
diff --git a/gcc/analyzer/checker-path.h b/gcc/analyzer/checker-path.h
index a8fa5147109..6654bd2dfd5 100644
--- a/gcc/analyzer/checker-path.h
+++ b/gcc/analyzer/checker-path.h
@@ -21,7 +21,7 @@ along with GCC; see the file COPYING3.  If not see
 #ifndef GCC_ANALYZER_CHECKER_PATH_H
 #define GCC_ANALYZER_CHECKER_PATH_H
 
-#include "region-model2.h" // FIXME
+#include "region-model.h" // FIXME
 
 namespace ana {
 
